import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user";
import {relatedQualityColumns} from "@/views/dataStandards/basicStandards/basicStandards.data"; // 引入开关组件
type CheckedType = boolean | string | number;

/**主页面树/列表 数据*/
export const TreeData: any[] = [
  {
    "businessId": 100,
    "apiName": "API",
    "anotherName": "API",
    "parentId": 0,
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'向导模式',
    workGroup:'共享工作区'
  },
  {
    "businessId": 101,
    "apiName": "个人工作区",
    "anotherName": "个人工作区",
    "parentId": 100,
    "ancestors": "0,100",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'向导模式',
    workGroup:'共享工作区'
  },
  {
    "businessId": 102,
    "apiName": "共享工作区",
    "anotherName": "共享工作区",
    "parentId": 100,
    "ancestors": "0,100",
    "standardCode": "BAS000003",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'向导模式',
    workGroup:'共享工作区'
  },
  {
    "businessId": 201,
    "apiName": "test01",
    "anotherName": "test01",
    "parentId": 102,
    "ancestors": "0,100,,102",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'向导模式',
    workGroup:'共享工作区'
  },
  {
    "businessId": 202,
    "apiName": "test02",
    "anotherName": "test02",
    "parentId": 102,
    "ancestors": "0,100,102",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'向导模式',
    workGroup:'共享工作区'
  },
  {
    "businessId": 203,
    "apiName": "test03",
    "anotherName": "test03",
    "parentId": 101,
    "ancestors": "0,100,101",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    holder:'admin',
    mode:'向导模式',
    workGroup:'共享工作区'
  },
];
/**新增API 卡片数据*/
export const cardData: any[] = [
  {
    title: '向导模式',
    version: 'kettle-1.0',
    remark: 'kettle',
    color: 'blue',
    icon: 'material-symbols:border-color-outline-rounded',
    details:'无须编写代码。通过可视化方式在界面勾选配置快速构建API',
  },
  {
    title: 'SQL模式',
    version: 'oracle_sql_1.0',
    remark: 'oracle_sql',
    color: 'blue',
    icon: 'material-symbols:border-color-outline-rounded',
    details:'通过自定义SQL脚本自行编写API的查询语句',
  },
  {
    title: '托管模式',
    version: 'oracle_sql_1.0',
    remark: 'oracle_sql',
    color: 'blue',
    icon: 'material-symbols:border-color-outline-rounded',
    details:'将三方API托管至数据服务，对API进行统一发布和管理',
  },
];
/**ApiDoc 列表 数据*/
export const apiDocColumnsData: any[] = [
  {
    parameterCode: 'id',
    parameterPosition: 'Body',
    xpath: '^.id',
    parameterType: 'object',
    annotation: '',
    isRequired: '是',
    parameterValue: '32e71d1a05eb42cca38'
  }
];


/**版本管理列表 表头*/
export const versionColumns: BasicColumn[] = [
  {
    title: '版本号',
    dataIndex: 'versionId',
    width: 150,
  },
  {
    title: '修改人',
    dataIndex: 'submitBy',
    width: 150,
  },
  {
    title: '更新时间',
    dataIndex: 'submitDate',
    width: 150,
  },
];
/**版本管理弹出框 搜索表头*/
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '',
    component: 'Input',
    componentProps: {
      placeholder: '请输入版本名称',
    },
    colProps: { span: 7 },
  },
];
export const fileData: any[] = [
    {
      "delFlag" : "0",
      "flag" : "1",
      "businessId" : 300,
      "username" : "file1",
      "nickName" : "测试文件流1",
      "name" : "测试文件流1",
      "fileSize": 1024,
      "holder":"admin",
      "createDate": "2024-10-24 10:04:04",
      "updateDate": "2024-10-24 10:04:04",
      "institutionId" : 105,
      "institutionName" : "财务部门",
      "menuList" : [ ]
    },
    {
      "delFlag" : "0",
      "flag" : "1",
      "businessId" : 301,
      "username" : "file2",
      "nickName" : "测试文件流2",
      "name" : "测试文件流2",
      "fileSize": 1024,
      "holder":"admin",
      "createDate": "2024-10-24 10:04:04",
      "updateDate": "2024-10-24 10:04:04",
      "institutionId" : 105,
      "institutionName" : "财务部门",
      "menuList" : [ ]
    },
    {
      "delFlag" : "0",
      "flag" : "1",
      "businessId" : 302,
      "username" : "file3",
      "nickName" : "测试文件流3",
      "name" : "测试文件流3",
      "fileSize": 1024,
      "holder":"admin",
      "createDate": "2024-10-24 10:04:04",
      "updateDate": "2024-10-24 10:04:04",
      "institutionId" : 105,
      "institutionName" : "财务部门",
      "menuList" : [ ]
    },
    {
      "delFlag" : "0",
      "flag" : "1",
      "businessId" : 303,
      "username" : "file4",
      "nickName" : "测试文件流4",
      "name" : "测试文件流4",
      "fileSize": 1024,
      "holder":"admin",
      "createDate": "2024-10-24 10:04:04",
      "updateDate": "2024-10-24 10:04:04",
      "institutionId" : 105,
      "institutionName" : "财务部门",
      "menuList" : [ ]
    },

];
/**版本管理列表 数据*/
export const versionData: any[] = [
  {
    "versionId":"1",
    "versionName":"V1",
    "submitBy":"admin",
    "submitDate":"2021/11/15 18:55:06",
    "remarks":"STANDARD_BASIC添加发布的第一个版"
  },
  {
    "versionId":"2",
    "versionName":"V2",
    "submitBy":"admin",
    "submitDate":"2021/11/11 18:55:06",
    "remarks":"STANDARD_BASIC添加发布的第二个版"
  },
  {
    "versionId":"3",
    "versionName":"V3",
    "submitBy":"admin",
    "submitDate":"2021/11/11 18:55:06",
    "remarks":"标准导入"
  },
];
/**首页 新增表单树 数据*/
export const treeDataListTwo = [
  {
    label: '默认工作组',
    businessId: 1,
    children: [
      { label: '默认工作组01', businessId: 2 },
      { label: '默认工作组02', businessId: 3 },
      { label: '默认工作组03', businessId: 4 },
      { label: '默认工作组04', businessId: 5 },
    ],
  },
]
/**编辑页 选择字典树 数据*/
export const chooseDictoryTreeData = [
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 100,
    "basicStandardName" : "所有命名字典",
    "anotherName":"所有命名字典",
    "parentId" : 0,
    "ancestors" : "0",
    "orderNum" : 0,
    "children" : [ ],
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 101,
    "basicStandardName" : "共享工作区",
    "anotherName":"共享工作区",
    "parentId" : 100,
    "ancestors" : "0,100",
    "children" : [ ],
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 102,
    "basicStandardName" : "关联域",
    "anotherName":"关联域",
    "parentId" : 101,
    "ancestors" : "0,100,101",
    "children" : [ ],
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 103,
    "basicStandardName" : "日期",
    "anotherName":"日期",
    "parentId" : 102,
    "ancestors" : "0,100,101,102",
    "children" : [ ],
    icon: 'ion:settings-outline',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 104,
    "basicStandardName" : "创建日期",
    "anotherName":"创建日期",
    "parentId" : 102,
    "ancestors" : "0,100,101,102",
    "children" : [ ],
    icon: 'ion:settings-outline',
  },
]
/**对比左侧列表 数据1*/
export const leftContrastTableData1 = [
  {
    "businessId": 1,
    "parameterCode": "em_name",
    "parameterName": "em_name",
    "parameterType": 'string',
    "comment": "-",
    "required": "否",
    "parameterValue": "陈从",
  },
]
/**对比左侧列表 数据2*/
export const leftContrastTableData2 = [
  {
    "businessId": 1,
    "parameterCode": "midgard_o...",
    "parameterName": "midgard_o...",
    "parameterType": 'INT',
    "required": "是",
    "parameterV": "-",
  },
  {
    "businessId": 1,
    "parameterCode": "midgard_size",
    "parameterName": "midgard_size",
    "parameterType": 'INT',
    "required": "否",
    "defaultValue": "10",
  },
]
/**对比左侧列表 数据3*/
export const leftContrastTableData3 = [
  {
    "businessId": 1,
    "parameterCode": "pay_basemoney_year",
    "parameterName": "pay_basemoney_year",
    "comment":'',
  },
]
/**对比右侧列表 数据1*/
export const rightContrastTableData1 = [
  {
    "businessId": 1,
    "parameterCode": "em_name",
    "parameterName": "em_name",
    "parameterType": 'string',
    "comment": "-",
    "required": "否",
    "parameterValue": "陈从",
  },
]
/**对比右侧列表 数据2*/
export const rightContrastTableData2 = [
  {
    "businessId": 1,
    "parameterCode": "midgard_o...",
    "parameterName": "midgard_o...",
    "parameterType": 'INT',
    "required": "是",
    "defaultValue": "-",
  },
  {
    "businessId": 1,
    "parameterCode": "midgard_size",
    "parameterName": "midgard_size",
    "parameterType": 'INT',
    "required": "否",
    "defaultValue": "10",
  },
]
/**对比右侧列表 数据3*/
export const rightContrastTableData3 = [
  {
    "businessId": 1,
    "parameterCode": "pay_basemoney_year",
    "parameterName": "pay_basemoney_year",
    "comment":'',
  },
]
/**关联关系 表格3 数据*/
export const relatedRelationshipsData3 = [
  {
    businessId: '1',
    standardName: '当前就读学校',
    standardNumber: 'BIDQ000000001',
    path: '/基础标准/DMP_admin-个人工作区/...',
    associationRelation:'无',
    associationDescription: '无',
    associationTime: '2024-01-01 10:00:00',
    operatorUser: 'DMP_admin',
  },
]
/**详情 表格 数据*/
export const detailData = [
  {
    codeValue: '00',
    codeMeaning: '代码1',
    description: '-',
    updateBy: 'gov_user01',
    updateDate:'2024-05-23 14:35:10',
    sourceSystemCodeValue: '-',
  },
  {
    codeValue: '01',
    codeMeaning: '代码2',
    description: '-',
    updateBy: 'gov_user01',
    updateDate:'2024-05-23 14:35:10',
    sourceSystemCodeValue: '-',
  },
  {
    codeValue: '02',
    codeMeaning: '代码3',
    description: '-',
    updateBy: 'gov_user01',
    updateDate:'2024-05-23 14:35:10',
    sourceSystemCodeValue: '-',
  },
  {
    codeValue: '03',
    codeMeaning: '代码4',
    description: '-',
    updateBy: 'gov_user01',
    updateDate:'2024-05-23 14:35:10',
    sourceSystemCodeValue: '-',
  },
  {
    codeValue: '04',
    codeMeaning: '代码5',
    description: '-',
    updateBy: 'gov_user01',
    updateDate:'2024-05-23 14:35:10',
    sourceSystemCodeValue: '-',
  },
]
/**编辑公共代码 列表数据*/
export const addValueData = [
  {
    sourceSystem: '系统1',
    sourceSystemCodeValue: '00',
  },
  {
    sourceSystem: '系统2',
    sourceSystemCodeValue: '01',
  },
  {
    sourceSystem: '系统3',
    sourceSystemCodeValue: '02',
  },
]
